#!/bin/sh

if [ -n "$XDG_RUNTIME_DIR" -a -d "$XDG_RUNTIME_DIR" ]; then
    profile_dir="${XDG_RUNTIME_DIR}/unoconv"
else
    user_name=`id -u -n`
    profile_dir="/tmp/unoconv-${user_name}"
fi

if [ ! -d "$profile_dir" ]; then
    mkdir "$profile_dir"
fi

/usr/share/flyfm/searchfilters/unoconv --user-profile="$profile_dir" -f txt --stdout "$1"
